### Method

# GtkSource File check_file_on_disk

#### Declaration [src]

    void
    gtk_source_file_check_file_on_disk (
      GtkSourceFile* file
    )

#### Description [src]

Checks synchronously the file on disk, to know whether the file is externally modified, or has been deleted, and whether the file is read-only.

`GtkSourceFile` doesn’t create a `GFileMonitor` to track those properties, so this function needs to be called instead. Creating lots of `GFileMonitor`‘s would take lots of resources.

Since this function is synchronous, it is advised to call it only on local files. See `gtk_source_file_is_local()`.